Main Restorations Software Audio/Jukebox/MP3 Everything Else Buy/Sell/Trade
Project Announcements Monitor/Video GroovyMAME Merit/JVL Touchscreen Meet Up Retail Vendors
Driving & Racing Woodworking Software Support Forums Consoles Project Arcade Reviews
Automated Projects Artwork Frontend Support Forums Pinball Forum Discussion Old Boards
Raspberry Pi & Dev Board controls.dat Linux Miscellaneous Arcade Wiki Discussion Old Archives
Site News

Unread posts | New Replies | Recent posts | Rules | Chatroom | Wiki | File Repository | RSS | Submit news


  

Author Topic: GroovyMAME compatability issues with Front Ends  (Read 3555 times)

0 Members and 1 Guest are viewing this topic.

SquidgyPidgeon

  • Trade Count: (0)
  • Full Member
  • ***
  • Offline Offline
  • Posts: 11
GroovyMAME compatability issues with Front Ends
« on: August 16, 2011, 12:41:32 pm »
Hello,

I have downloaded and installed GroovyMAME on my cab and by far the games look and run the best with this emulator but.....they only run perfectly when run from the Command Prompt.

For instance, if I run Track & Field from the Command Prompt it looks and runs great- but as soon as I run it through Mala or Maximus i get 'wobbly sides' as if the TV (running a ATI Radeon 9200SE with hacked SCART) cant handle the refresh rates?

But like I said i don have a problem from command prompt, only when going through a front end?

The other problem I get when running through a FE is that it stretches the screen horizontally, which isnt a massive problem but its not ideal.  Again this doesnt happen when running GroovyMAME from command prompt- they games display perfectly!

Hope someone can help!

Thanks

Rich

Calamity

  • Moderator
  • Trade Count: (0)
  • Full Member
  • *****
  • Offline Offline
  • Posts: 6436
Re: GroovyMAME compatability issues with Front Ends
« Reply #1 on: August 16, 2011, 07:03:48 pm »
Hi,

I'm launching GroovyMAME from AdvMenu and it works just the same as when run from command line. It could be either the command line that those frontends build for launching GroovyMAME is missing or adding something strange, or possibly those frontends leave the system in a particular state that prevents GroovyMAME from properly switching resolutions... I strongly hope it's the first thing.
Important note: posts reporting GM issues without a log will be IGNORED.
Steps to create a log:
 - From command line, run: groovymame.exe -v romname >romname.txt
 - Attach resulting romname.txt file to your post, instead or pasting it.

CRT Emudriver, VMMaker & Arcade OSD downloads, documentation and discussion:  Eiusdemmodi

blagger

  • Trade Count: (0)
  • Full Member
  • ***
  • Offline Offline
  • Posts: 23
Re: GroovyMAME compatability issues with Front Ends
« Reply #2 on: August 17, 2011, 06:01:38 am »
I have the same graphics card (ATI 9200SE) and I use MALA without any problem.

Quinny

  • Trade Count: (0)
  • Full Member
  • ***
  • Offline Offline
  • Posts: 47
Re: GroovyMAME compatability issues with Front Ends
« Reply #3 on: August 17, 2011, 07:46:13 am »
Is it possible that the FEs are using another version of mame?

SquidgyPidgeon

  • Trade Count: (0)
  • Full Member
  • ***
  • Offline Offline
  • Posts: 11
Re: GroovyMAME compatability issues with Front Ends
« Reply #4 on: August 17, 2011, 09:06:05 am »
This is so strange!  Just got AdvanceMenu set up:

When it wasnt set up correctly, i.e - it listed the roms but didnt load the game and instead went to groovymame itself, the games worked fine.

But when i got it configured so the game loaded straight from AdvanceMenu I got the wobbly version again??? Could it be something to do with the xml file? what type of info do they store?

strange!?!

SquidgyPidgeon

  • Trade Count: (0)
  • Full Member
  • ***
  • Offline Offline
  • Posts: 11
Re: GroovyMAME compatability issues with Front Ends
« Reply #5 on: August 17, 2011, 09:22:11 am »
All this over stretching about an inch horizontally either side and a wobbly track and field! 

Calamity

  • Moderator
  • Trade Count: (0)
  • Full Member
  • *****
  • Offline Offline
  • Posts: 6436
Re: GroovyMAME compatability issues with Front Ends
« Reply #6 on: August 17, 2011, 11:43:19 am »
When it wasnt set up correctly, i.e - it listed the roms but didnt load the game and instead went to groovymame itself, the games worked fine.

I see...

GroovyMAME doesn't work when you launch games from it's internal frontend (yet), it just defaults to the desktop resolution, that's why it seems to work in your case but it's doing nothing actually.

So your frontends are working fine, but your GroovyMAME monitor's setup is not correct, it seems.

Have a look at this thread about how to post logs on issues:

http://forum.arcadecontrols.com/index.php?topic=113382.0

Probably you need to select the NTSC monitor option in mame.ini or even create a custom monitor_specs line.
Important note: posts reporting GM issues without a log will be IGNORED.
Steps to create a log:
 - From command line, run: groovymame.exe -v romname >romname.txt
 - Attach resulting romname.txt file to your post, instead or pasting it.

CRT Emudriver, VMMaker & Arcade OSD downloads, documentation and discussion:  Eiusdemmodi

SquidgyPidgeon

  • Trade Count: (0)
  • Full Member
  • ***
  • Offline Offline
  • Posts: 11
Re: GroovyMAME compatability issues with Front Ends
« Reply #7 on: August 18, 2011, 10:53:25 am »
hmm, definitely getting along the right lines.

I changed the monitor type to NTSC and that fixed Track & Field...however created the same problem in Green Beret.  So just to try I tried changing the type to a d9200 and then that give me problems with Yie Ar Kung Fu.   So I think you're correct in that its must be something to do with the monitor setup.  I think I may need to add some custom spec lines.

Going back a bit...

When i first installed GroovyMame and the catalyst drivers for my ati9200se i had a bit of trouble in that I didnt automatically get 15khz displays.  In the end I had to re-install Soft 15khz. You think this could be a problem?

dmarcum99

  • Trade Count: (+1)
  • Full Member
  • ***
  • Offline Offline
  • Posts: 237
Re: GroovyMAME compatability issues with Front Ends
« Reply #8 on: August 18, 2011, 11:24:26 am »
If you installed soft15khz over top of Calamity's drivers then you may have overwritten some of groovymame's modelines.  You may need to a uninstall soft15khz & unintstall/reinstall Calamity's drivers. 

esaelectrionics

  • Trade Count: (0)
  • Full Member
  • ***
  • Offline Offline
  • Posts: 80
Re: GroovyMAME compatability issues with Front Ends
« Reply #9 on: October 04, 2011, 04:35:03 am »
im using MALA and ati radeon 7000, no problems here.

  
 

Sitemap 1 2 3 4 5 6 7 8 9 10 11 12 13 14 15 16 17 18 19 20 21 22 23 24 25 26 27 28 29 30 31